import request from '@/apps/mobile/utils/request'

// 会话 分页获取
export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/chatSessions/query-page',
        data,
    });
}

// 新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/chatSessions/insert',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/chatSessions/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/chatSessions/update',
        data,
    });
}


// 批量修改屏蔽状态
export function useBath(data) {
    return request({
        method: 'put',
        url: '/api/chatSessions/update-batch',
        data
    });
}
